> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nuvia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List HubSpot properties

> Lists all available HubSpot properties (contacts and deals) grouped by type



## OpenAPI

````yaml /en/openapi.json get /v1/hubspot/properties
openapi: 3.0.0
info:
  title: Nuvia API - Company
  description: API documentation for companies
  version: '1.0'
  contact: {}
servers:
  - url: https://api.nuvia.ai
security: []
tags:
  - name: messages
    x-group: Mensagens
  - name: contacts
    x-group: Contatos
  - name: campaigns
    x-group: Campanhas
  - name: tables
    x-group: Tabelas e Listas
  - name: agents
    x-group: Agentes
  - name: conversations
    x-group: Conversas
  - name: inboxes
    x-group: Caixas de Entrada
  - name: knowledge
    x-group: Base de Conhecimento
  - name: Webhooks
    x-group: Webhooks
  - name: campaign-enrollments
    x-group: Inscrições em Campanha
  - name: custom-fields
    x-group: Campos Customizados
  - name: resources
    x-group: Arquivos e Anexos
  - name: hubspot
    x-group: HubSpot
paths:
  /v1/hubspot/properties:
    get:
      tags:
        - hubspot
      summary: List HubSpot properties
      description: >-
        Lists all available HubSpot properties (contacts and deals) grouped by
        type
      operationId: HubSpotController_listProperties
      parameters: []
      responses:
        '200':
          description: Properties returned successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListPropertiesResponseDto'
        '401':
          description: Invalid or expired token
        '403':
          description: You do not have permission to access this resource
      security:
        - JWT-auth: []
components:
  schemas:
    ListPropertiesResponseDto:
      type: object
      properties:
        properties:
          description: List of properties grouped by object type
          type: array
          items:
            $ref: '#/components/schemas/HubSpotPropertyGroupDto'
      required:
        - properties
    HubSpotPropertyGroupDto:
      type: object
      properties:
        group:
          type: string
          description: Group name
          example: Contato
        items:
          description: List of the group's properties
          type: array
          items:
            $ref: '#/components/schemas/HubSpotPropertyDto'
      required:
        - group
        - items
    HubSpotPropertyDto:
      type: object
      properties:
        value:
          type: string
          description: Value in the objectType.propertyName format
          example: contact.lifecyclestage
        label:
          type: string
          description: Display label
          example: Lifecycle Stage
        type:
          type: string
          description: Field type
          example: enumeration
        readOnly:
          type: boolean
          description: Whether the field is read-only (calculated or read-only in HubSpot)
          example: false
      required:
        - value
        - label
        - type
        - readOnly
  securitySchemes:
    JWT-auth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: JWT authentication token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.